import { FC, CSSProperties } from "react";
type Variant = "light" | "dark" | "grayscale";
type IconDefinition = {
    keywords?: string[];
    svg: Record<Variant, string>;
};
type IconsMap = Record<string, IconDefinition>;
declare const typedIconsData: IconsMap;
export type IconName = keyof typeof typedIconsData;
interface StackIconProps {
    name: IconName;
    variant?: Variant;
    className?: string;
    style?: CSSProperties;
}
declare const StackIcon: FC<StackIconProps>;
export default StackIcon;
